<?xml version="1.0"?>
<project
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"
	xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>ajb-car</groupId>
		<artifactId>ajb-car</artifactId>
		<version>0.0.1-SNAPSHOT</version>
	</parent>
		
	<groupId>ajb-car-app</groupId>
	<artifactId>ajb-car-api</artifactId>
	<version>0.0.1-SNAPSHOT</version>
	<name>ajb-car-api</name>
	<packaging>war</packaging>
	<url>http://maven.apache.org</url>
	<properties>
		<java.version>1.8</java.version>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<start-class>com.ajb.Application</start-class>
	</properties>
	<dependencies>
		<dependency>
			<groupId>ajb-car-app</groupId>
			<artifactId>ajb-car-vo</artifactId>
			<version>0.0.1-SNAPSHOT</version>
		</dependency>

		<dependency>
			<groupId>ajb-car-app</groupId>
			<artifactId>ajb-car-entity</artifactId>
			<version>0.0.1-SNAPSHOT</version>
		</dependency>
		
		<dependency>
			<groupId>ajb-car-app</groupId>
			<artifactId>ajb-car-utils</artifactId>
			<version>0.0.1-SNAPSHOT</version>
		</dependency>
				
		<dependency>
			<groupId>ajb-car-app</groupId>
			<artifactId>ajb-car-jpa</artifactId>
			<version>0.0.1-SNAPSHOT</version>
		</dependency>
		
		<dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-devtools</artifactId>
            <optional>true</optional>
			<scope>provided</scope><!-- provided, compile, runtime, test, system -->
		</dependency>
<!-- servlet 依赖. -->
<!--  	
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>javax.servlet-api</artifactId>
			<scope>provided</scope>
		</dependency>
		
    	<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>jstl</artifactId>
		</dependency>
-->
<!-- tomcat 的支持.-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-tomcat</artifactId>
			<scope>provided</scope>
		</dependency>
<!-- 		<dependency>
			<groupId>org.apache.tomcat.embed</groupId>
			<artifactId>tomcat-embed-jasper</artifactId>
			<scope>provided</scope>
		</dependency> -->
<!--  
		<dependency>
			<groupId>org.apache.tomcat.embed</groupId>
			<artifactId>tomcat-embed-jasper</artifactId>
			<scope>provided</scope>
		</dependency>
-->

		<dependency>
			<groupId>org.scala-lang</groupId>
			<artifactId>scala-library</artifactId>
			<version>2.11.0</version>
		</dependency>
		<dependency>
			<groupId>org.apache.hadoop</groupId>
			<artifactId>hadoop-core</artifactId>
			<version>1.0.0</version>
		</dependency>
		<dependency>
		  <!-- jsoup HTML parser library @ https://jsoup.org/ -->
		  <groupId>org.jsoup</groupId>
		  <artifactId>jsoup</artifactId>
		  <version>1.10.3</version>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-context-support</artifactId>
			<!-- <version>4.1.6.RELEASE</version> -->
		</dependency>
		<dependency>
			<groupId>org.quartz-scheduler</groupId>
			<artifactId>quartz</artifactId>
			<version>2.2.1</version><!-- 1.8.4	2.2.3   -->
		</dependency>
		<dependency>  
			<groupId>org.springframework.mobile</groupId>  
			<artifactId>spring-mobile-device</artifactId>  
		</dependency>  
		<dependency> 
			<groupId>io.jsonwebtoken</groupId> 
			<artifactId>jjwt</artifactId> 
			<version>0.6.0</version> 
		</dependency>
		<!-- https://mvnrepository.com/artifact/junit/junit -->
	    <dependency>
	      <groupId>org.springframework.boot</groupId>
	      <artifactId>spring-boot-starter-test</artifactId>
	      <version> 1.5.1.RELEASE</version>
	    </dependency>
	    <dependency>
	      <groupId>org.springframework</groupId>
	      <artifactId>spring-test</artifactId>
	      <version>4.3.6.RELEASE</version>
	    </dependency>
	    <dependency>
	      <groupId>junit</groupId>
	      <artifactId>junit</artifactId>
	      <version> 4.12</version>
	    </dependency>
		<dependency>
		    <groupId>com.google.guava</groupId>
		    <artifactId>guava</artifactId>
		    <version>21.0</version>
		</dependency>
	</dependencies>
	<!-- 打包spring boot应用 -->
	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<configuration>	          		
	                <fork>true</fork>
            	</configuration>
			</plugin>
			
			<plugin>  
			        <groupId>org.apache.maven.plugins</groupId>  
			        <artifactId>maven-surefire-plugin</artifactId>  
			        <version>2.4.2</version>  
			        <configuration>  
			          <skipTests>true</skipTests>  
			        </configuration>  
			</plugin>						
		</plugins>
		<finalName>carapi</finalName>
	</build>

</project>
